> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/modules/home-2/custom-templates.md).

# Custom Templates

If you want to create your own templates used for any of the lookup, you can do that by inheriting from one of the base forms provided. The module features a number of base forms in this hierarchy:

* AbstractLookup
  * AbstractLookupMulti
    * svyLookupTableMulti
    * svyLookupNGTableMulti
  * svyLookupTable
  * svyLookupNGTable

You can extend the Abstract forms for a fully custom implementation of the UI, while you can extend any of the svy\* to customize the given template form.

Extend any of the \*Multi form is suitable to implement lookup template for multi selection, while other templates are suitable for single selection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoyextensions/modules/home-2/custom-templates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
